High-Level Data Reduction Library: Collapse Parameters

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
Collapse Parameters

## Functions
hdrl_parameter * | hdrl_collapse_mean_parameter_create (void)
| create a parameter object for mean
cpl_boolean | hdrl_collapse_parameter_is_mean (const hdrl_parameter *self)
| check if parameter is a mean parameter
hdrl_parameter * | hdrl_collapse_median_parameter_create (void)
| create a parameter object for median
cpl_boolean | hdrl_collapse_parameter_is_median (const hdrl_parameter *self)
| check if parameter is a median parameter
hdrl_parameter * | hdrl_collapse_weighted_mean_parameter_create (void)
| create a parameter object for weighted mean
cpl_boolean | hdrl_collapse_parameter_is_weighted_mean (const hdrl_parameter *self)
| check if parameter is a weighted mean parameter
hdrl_parameter * | hdrl_collapse_sigclip_parameter_create (double kappa_low, double kappa_high, int niter)
| create a parameter object for sigclipped mean
cpl_boolean | hdrl_collapse_parameter_is_sigclip (const hdrl_parameter *self)
| check if parameter is a sigclip mean parameter
double | hdrl_collapse_sigclip_parameter_get_kappa_high (const hdrl_parameter *p)
| get high kappa
double | hdrl_collapse_sigclip_parameter_get_kappa_low (const hdrl_parameter *p)
| get low kappa
int | hdrl_collapse_sigclip_parameter_get_niter (const hdrl_parameter *p)
| get maximum number of clipping iterations
hdrl_parameter * | hdrl_collapse_minmax_parameter_create (double nlow, double nhigh)
| create a parameter object for min-max rejected mean
cpl_boolean | hdrl_collapse_parameter_is_minmax (const hdrl_parameter *self)
| check if parameter is a minmax mean parameter
double | hdrl_collapse_minmax_parameter_get_nhigh (const hdrl_parameter *p)
| get high value
double | hdrl_collapse_minmax_parameter_get_nlow (const hdrl_parameter *p)
| get low value
hdrl_parameter * | hdrl_collapse_mode_parameter_create (double histo_min, double histo_max, double bin_size, hdrl_mode_type mode_method, cpl_size error_niter)
| create a parameter object for the mode
cpl_boolean | hdrl_collapse_parameter_is_mode (const hdrl_parameter *self)
| check if parameter is a mode parameter
double | hdrl_collapse_mode_parameter_get_histo_min (const hdrl_parameter *p)
| get min value
double | hdrl_collapse_mode_parameter_get_histo_max (const hdrl_parameter *p)
| get high value
double | hdrl_collapse_mode_parameter_get_bin_size (const hdrl_parameter *p)
| get size of the histogram bins
hdrl_mode_type | hdrl_collapse_mode_parameter_get_method (const hdrl_parameter *p)
| get the mode determination method
cpl_size | hdrl_collapse_mode_parameter_get_error_niter (const hdrl_parameter *p)
| get the error type of the mode
cpl_parameterlist * | hdrl_collapse_parameter_create_parlist (const char *base_context, const char *prefix, const char *method_def, hdrl_parameter *sigclip_def, hdrl_parameter *minmax_def, hdrl_parameter *mode_def)
| Create parameters for the collapse.
hdrl_parameter * | hdrl_collapse_parameter_parse_parlist (const cpl_parameterlist *parlist, const char *prefix)
| parse parameterlist for imagelist reduction method

## Detailed Description

This module provides collapse parameters to be used by hdrl_image and hdrl_imagelist objects.

## Function Documentation

## ◆ hdrl_collapse_mean_parameter_create()

hdrl_parameter * hdrl_collapse_mean_parameter_create | ( | void |  | ) |

create a parameter object for mean

Returns
  hdrl_parameter

## ◆ hdrl_collapse_median_parameter_create()

hdrl_parameter * hdrl_collapse_median_parameter_create | ( | void |  | ) |

create a parameter object for median

Returns
  hdrl_parameter

## ◆ hdrl_collapse_minmax_parameter_create()

hdrl_parameter * hdrl_collapse_minmax_parameter_create | ( | double | nlow,
|  | double | nhigh
| ) |  |

create a parameter object for min-max rejected mean

Parameters

  nlow | number of low pixels to be rejected
  nhigh | number of high pixels to be rejected

Returns
  minmax collapse parameter or NULL on error

## ◆ hdrl_collapse_minmax_parameter_get_nhigh()

double hdrl_collapse_minmax_parameter_get_nhigh | ( | const hdrl_parameter * | p | ) |

get high value

Parameters

  p | parameter

Returns
  nlow if p is of minmax type

## ◆ hdrl_collapse_minmax_parameter_get_nlow()

double hdrl_collapse_minmax_parameter_get_nlow | ( | const hdrl_parameter * | p | ) |

get low value

Parameters

  p | parameter

Returns
  nhigh if p is of minmax type

## ◆ hdrl_collapse_mode_parameter_create()

hdrl_parameter * hdrl_collapse_mode_parameter_create | ( | double | histo_min,
|  | double | histo_max,
|  | double | bin_size,
|  | hdrl_mode_type | mode_method,
|  | cpl_size | error_niter
| ) |  |

create a parameter object for the mode

Parameters

  histo_min | minimum value of low pixels to use
  histo_max | maximum value of high pixels to be use
  bin_size | size of the histogram bin
  mode_method | method to use for the mode computation
  error_niter | number of iterations to compute the error of the mode

Returns
  mode collapse parameter or NULL on error

## ◆ hdrl_collapse_mode_parameter_get_bin_size()

double hdrl_collapse_mode_parameter_get_bin_size | ( | const hdrl_parameter * | p | ) |

get size of the histogram bins

Parameters

  p | parameter

Returns
  bin_size if p is of mode type

## ◆ hdrl_collapse_mode_parameter_get_error_niter()

cpl_size hdrl_collapse_mode_parameter_get_error_niter | ( | const hdrl_parameter * | p | ) |

get the error type of the mode

Parameters

  p | parameter

Returns
  error type if p is of mode type

## ◆ hdrl_collapse_mode_parameter_get_histo_max()

double hdrl_collapse_mode_parameter_get_histo_max | ( | const hdrl_parameter * | p | ) |

get high value

Parameters

  p | parameter

Returns
  histo_max if p is of mode type

## ◆ hdrl_collapse_mode_parameter_get_histo_min()

double hdrl_collapse_mode_parameter_get_histo_min | ( | const hdrl_parameter * | p | ) |

get min value

Parameters

  p | parameter

Returns
  histo_min if p is of mode type

## ◆ hdrl_collapse_mode_parameter_get_method()

hdrl_mode_type hdrl_collapse_mode_parameter_get_method | ( | const hdrl_parameter * | p | ) |

get the mode determination method

Parameters

  p | parameter

Returns
  mode method if p is of mode type

## ◆ hdrl_collapse_parameter_create_parlist()

cpl_parameterlist * hdrl_collapse_parameter_create_parlist | ( | const char * | base_context,
|  | const char * | prefix,
|  | const char * | method_def,
|  | hdrl_parameter * | sigclip_def,
|  | hdrl_parameter * | minmax_def,
|  | hdrl_parameter * | mode_def
| ) |  |

Create parameters for the collapse.

Parameters

  base_context | base context of parameter (e.g. recipe name)
  prefix | prefix of parameter, may be empty string
  method_def | default collapse method
  sigclip_def | default sigclip parameters
  minmax_def | default minmax parameters
  mode_def | default collapsing mode computation parameters

Returns
  The created parameter list Creates a parameterlist containing base_context.prefix.method base_context.prefix.sigclip.* The CLI aliases omit the base_context.

## ◆ hdrl_collapse_parameter_is_mean()

cpl_boolean hdrl_collapse_parameter_is_mean | ( | const hdrl_parameter * | self | ) |

check if parameter is a mean parameter

Returns
  boolean

## ◆ hdrl_collapse_parameter_is_median()

cpl_boolean hdrl_collapse_parameter_is_median | ( | const hdrl_parameter * | self | ) |

check if parameter is a median parameter

Returns
  boolean

## ◆ hdrl_collapse_parameter_is_minmax()

cpl_boolean hdrl_collapse_parameter_is_minmax | ( | const hdrl_parameter * | self | ) |

check if parameter is a minmax mean parameter

Returns
  boolean

## ◆ hdrl_collapse_parameter_is_mode()

cpl_boolean hdrl_collapse_parameter_is_mode | ( | const hdrl_parameter * | self | ) |

check if parameter is a mode parameter

Returns
  boolean

## ◆ hdrl_collapse_parameter_is_sigclip()

cpl_boolean hdrl_collapse_parameter_is_sigclip | ( | const hdrl_parameter * | self | ) |

check if parameter is a sigclip mean parameter

Returns
  boolean

## ◆ hdrl_collapse_parameter_is_weighted_mean()

cpl_boolean hdrl_collapse_parameter_is_weighted_mean | ( | const hdrl_parameter * | self | ) |

check if parameter is a weighted mean parameter

Returns
  boolean

## ◆ hdrl_collapse_parameter_parse_parlist()

hdrl_parameter * hdrl_collapse_parameter_parse_parlist | ( | const cpl_parameterlist * | parlist,
|  | const char * | prefix
| ) |  |

parse parameterlist for imagelist reduction method

Parameters

  parlist | parameter list to parse
  prefix | prefix of parameter name

Returns
  hdrl_parameter Reads a Parameterlist in order to create collapse parameters. Expects a parameterlist containing prefix.method prefix.sigclip.*

## ◆ hdrl_collapse_sigclip_parameter_create()

hdrl_parameter * hdrl_collapse_sigclip_parameter_create | ( | double | kappa_low,
|  | double | kappa_high,
|  | int | niter
| ) |  |

create a parameter object for sigclipped mean

Parameters

  kappa_low | low kappa multiplier
  kappa_high | high kappa multiplier
  niter | maximum number of clipping iterations

## ◆ hdrl_collapse_sigclip_parameter_get_kappa_high()

double hdrl_collapse_sigclip_parameter_get_kappa_high | ( | const hdrl_parameter * | p | ) |

get high kappa

Parameters

  p | parameter

Returns
  kappa_low if p is of sigclip type

## ◆ hdrl_collapse_sigclip_parameter_get_kappa_low()

double hdrl_collapse_sigclip_parameter_get_kappa_low | ( | const hdrl_parameter * | p | ) |

get low kappa

Parameters

  p | parameter

Returns
  kappa_high if p is of sigclip type

## ◆ hdrl_collapse_sigclip_parameter_get_niter()

int hdrl_collapse_sigclip_parameter_get_niter | ( | const hdrl_parameter * | p | ) |

get maximum number of clipping iterations

Parameters

  p | parameter

Returns
  n if p is of sigclip type

## ◆ hdrl_collapse_weighted_mean_parameter_create()

hdrl_parameter * hdrl_collapse_weighted_mean_parameter_create | ( | void |  | ) |

create a parameter object for weighted mean

Returns
  hdrl_parameter